=== debian/changelog ===
curry-tools (1.0.0+dfsg1-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #840539).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 19 Oct 2016 14:13:14 +0200
