=== debian/control ===
Source: curry-tools
Section: devel
Priority: optional
Build-Depends:
 cdbs,
 debhelper (>= 9),
Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Michael Hanus <mh@informatik.uni-kiel.de>,
Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
Standards-Version: 3.9.8

Package: curry-tools-source
Architecture: all
Depends:
 ${misc:Depends},
Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
 PAKCS and KICS2 are two different implementations of the programming
 language Curry. Curry is a functional programming language being developed
 at Kiel, Aachen and Portland University.
 .
 Whereas PAKCS is a Curry to Prolog compiler, KICS2 compiles Curry code
 into Haskell. Both compilers require two source code trees at compiler
 build time: curry-tools-source and curry-tools-source at build time.
 .
 This package provides the source files of the curry-tools.
