=== CASS/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ANADIR = ../analysis
 
 # binary
-TOOL   = $(BINDIR)/cass
+TOOL   = $(BINDIR)/$(CURRYSYSTEM)-analyze
 
 # Source modules of CASS:
 DEPS = *.curry \
@@ -21,8 +21,8 @@
 compile: cass_worker cass
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/cass $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/cass
+	cd $(BINDIR) && ln -s ../currytools/CASS/cass $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY) -r
