=== addtypes/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating AddTypes tool
 
-TOOL = $(BINDIR)/addtypes
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-addtypes
 
 .PHONY: all compile install clean uninstall
 
@@ -9,8 +9,8 @@
 compile: AddTypes
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/AddTypes $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/addtypes
+	cd $(BINDIR) && ln -s ../currytools/addtypes/AddTypes $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)
