=== browser/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 ANADIR     = $(CURRYTOOLS)/analysis
 
 # binary
-TOOL       = $(BINDIR)/currybrowse
+TOOL       = $(BINDIR)/$(CURRYSYSTEM)-browse
 
 # source modules of the Curry Browser:
 DEPS = BrowserGUI.curry Imports.curry \
@@ -33,8 +33,8 @@
 compile: GenInt BrowserGUI SourceProgGUI
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/BrowserGUI $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currybrowse
+	cd $(BINDIR) && ln -s ../currytools/browser/BrowserGUI $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY) -r
