=== casc/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating the Curry Automatic Style Checker
 
-TOOL=$(BINDIR)/casc
+TOOL=$(BINDIR)/$(CURRYSYSTEM)-style
 
 DEPS = *.curry AST/*.curry AutoCorr/*.curry Check/*.curry Config/*.curry
 
@@ -11,8 +11,8 @@
 compile: CASC
 
 install: CASC
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CASC $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/casc
+	cd $(BINDIR) && ln -s ../currytools/casc/CASC $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)
