=== createmakefile/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for tool "CreateMakefile"
 
-TOOL = $(BINDIR)/currycreatemake
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-createmake
 
 .PHONY: all compile install clean uninstall
 
@@ -10,7 +10,7 @@
 
 install: compile
 	rm -f $(TOOL)
-	ln -s $(CURDIR)/CreateMakefile $(TOOL)
+	cd $(BINDIR) && ln -s ../currytools/createmakefile/CreateMakefile $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)
