=== currycheck/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating the currycheck tool
 
-TOOL=$(BINDIR)/currycheck
+TOOL=$(BINDIR)/$(CURRYSYSTEM)-check
 
 # currycheck (main) dependencies:
 DEPS = *.curry $(LIBDIR)/Test/EasyCheck.curry $(LIBDIR)/AbstractCurry/*.curry
@@ -12,8 +12,8 @@
 compile: CurryCheck
 
 install: CurryCheck
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CurryCheck $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currycheck
+	cd $(BINDIR) && ln -s ../currytools/currycheck/CurryCheck $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)
