=== currydoc/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 CASS       = ../CASS
 ANADIR     = ../analysis
 # binary
-TOOL       = $(BINDIR)/currydoc
+TOOL       = $(BINDIR)/$(CURRYSYSTEM)-doc
 
 # Source modules of currydoc
 DEPS = CurryDoc.curry CurryDocRead.curry CurryDocAnaInfo.curry \
@@ -32,8 +32,8 @@
 compile: CurryDoc
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CurryDoc $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currydoc
+	cd $(BINDIR) && ln -s ../currytools/currydoc/CurryDoc $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)
