=== currypp/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #****************************************************************************
 
 # Tool binary
-TOOL = $(BINDIR)/currypp
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-pp
 
 # Source filepaths
 ICODEDIR      = $(CURDIR)/IntegratedCode
@@ -42,14 +42,17 @@
 compile: Main
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/Main $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currypp
+	cd $(BINDIR) && ln -s ../currytools/currypp/Main $(notdir $(TOOL))
+	cd $(BINDIR) && ln -s $(notdir $(TOOL)) currypp # for backward compatibility
 
 clean:
 	$(CLEANCURRY) -r
+	rm -f Main
 
 uninstall: clean
 	rm -f $(TOOL)
+	rm -f $(BINDIR)/currypp # for backward compatibility
 
 # generate executable of currypp translator:
 Main: $(DEPS)
