=== currytest/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Makefile for generating currytest tool
 
-TOOL = $(BINDIR)/currytest
+TOOL = $(BINDIR)/$(CURRYSYSTEM)-test
 
 .PHONY: all compile install clean uninstall
 
@@ -9,8 +9,8 @@
 compile: CurryTest
 
 install: compile
-	rm -f $(TOOL)
-	ln -s $(CURDIR)/CurryTest $(TOOL)
+	rm -f $(TOOL) $(BINDIR)/currytest
+	cd $(BINDIR) && ln -s ../currytools/currytest/CurryTest $(notdir $(TOOL))
 
 clean:
 	$(CLEANCURRY)
