=== debian/changelog ===
curry-tools (1.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 13 Jan 2017 09:57:08 +0100
