=== debian/control ===
--- 
+++ 
@@ -24,6 +24,6 @@
  .
  Whereas PAKCS is a Curry to Prolog compiler, KICS2 compiles Curry code
  into Haskell. Both compilers require two source code trees at compiler
- build time: curry-tools-source and curry-tools-source at build time.
+ build time: curry-tools-source and curry-tools-source.
  .
  This package provides the source files of the curry-tools.
