=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg[0-9]*//,filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/curry-tools-$1\.tar\.gz/g \
  https://git.ps.informatik.uni-kiel.de/curry/curry-tools/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)
