## curry-tools 1.0.3+dfsg1

=== Makefile ===
--- 
+++ 
@@ -16,18 +16,47 @@
 # Directory names of all tools having a Makefile:
 TOOLDIRS = $(foreach d, $(ALLTOOLDIRS), $(shell test -f $(d)/Makefile && echo $(d)))
 
+make_TOOLDIRS=$(addprefix make_,$(TOOLDIRS))
 compile_TOOLDIRS=$(addprefix compile_,$(TOOLDIRS))
 install_TOOLDIRS=$(addprefix install_,$(TOOLDIRS))
 clean_TOOLDIRS=$(addprefix clean_,$(TOOLDIRS))
 uninstall_TOOLDIRS=$(addprefix uninstall_,$(TOOLDIRS))
 
 .PHONY: all
-all: $(TOOLDIRS)
+all: $(make_TOOLDIRS)
 
-.PHONY: force
+###########################################################################
+# Define dependencies between the different tools:
 
-$(TOOLDIRS): force
-	@cd $@ && $(MAKE)
+make_browser: | make_analysis make_CASS make_addtypes make_importcalls
+	@$(MAKE) now_$@
+
+make_analysis:
+	@$(MAKE) now_$@
+
+make_CASS: | make_analysis
+	@$(MAKE) now_$@
+
+make_currydoc: | make_analysis make_CASS
+	@$(MAKE) now_$@
+
+make_currypp: | make_analysis make_CASS make_currycheck make_verification
+	@$(MAKE) now_$@
+
+make_optimize: | make_analysis make_CASS
+	@$(MAKE) now_$@
+
+make_verification: | make_analysis make_CASS make_currycheck
+	@$(MAKE) now_$@
+
+make_%:
+	@$(MAKE) now_make_$*
+
+# now we really make the tool:
+now_make_%:
+	@cd $* && $(MAKE)
+
+###########################################################################
 
 .PHONY: compile
 compile: $(compile_TOOLDIRS)
@@ -53,13 +82,15 @@
 $(uninstall_TOOLDIRS):
 	@cd $(patsubst uninstall_%,%,$@) && $(MAKE) uninstall
 
+########################################################################
+# Testing the tools
+
+# Tools with test suites:
+TESTTOOLS = optimize currypp runcurry currycheck spicey xmldata   
+
 # run the test suites to check the tools
 .PHONY: runtest
-runtest:
-	cd optimize/binding_optimization/Examples && ./test.sh
-	cd currypp  && $(MAKE) runtest
-	cd runcurry/Examples && ./test.sh
-	cd currycheck/Examples && ./test.sh
-	cd currycheck/Examples/WithVerification && ./test.sh
-	cd spicey/Examples && ./test.sh
-	cd xmldata/Examples && ./test.sh
+runtest: $(addprefix runtest_,$(TESTTOOLS))
+
+runtest_%:
+	cd $* && $(MAKE) runtest
