=== CASS/Makefile ===
--- 
+++ 
@@ -18,7 +18,9 @@
 
 all: install
 
-compile: cass_worker cass
+compile:
+	$(MAKE) cass_worker
+	$(MAKE) cass
 
 install: compile
 	rm -f $(TOOL) $(BINDIR)/cass
