=== browser/Makefile ===
--- 
+++ 
@@ -30,7 +30,10 @@
 
 all: install
 
-compile: GenInt BrowserGUI SourceProgGUI
+compile:
+	$(MAKE) GenInt
+	$(MAKE) BrowserGUI
+	$(MAKE) SourceProgGUI
 
 install: compile
 	rm -f $(TOOL) $(BINDIR)/currybrowse
