=== currycheck/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # currycheck (main) dependencies:
 DEPS = *.curry $(LIBDIR)/Test/EasyCheck.curry $(LIBDIR)/AbstractCurry/*.curry
 
-.PHONY: all compile install clean uninstall
+.PHONY: all compile install clean uninstall runtest
 
 all: install
 
@@ -24,3 +24,8 @@
 
 CurryCheck: $(DEPS)
 	$(REPL) $(REPL_OPTS) :l CurryCheck :save :q
+
+# run the test suite
+runtest:
+	cd Examples                  && ./test.sh $(RUNTESTPARAMS)
+	cd Examples/WithVerification && ./test.sh $(RUNTESTPARAMS)
