=== ertools/Makefile ===
--- 
+++ 
@@ -7,8 +7,8 @@
 #****************************************************************************
 
 # installation binaries
-ERD2CURRY = $(BINDIR)/erd2curry
-ERD2CDBI  = $(BINDIR)/erd2cdbi
+ERD2CURRY = $(BINDIR)/$(CURRYSYSTEM)-erd2curry
+ERD2CDBI  = $(BINDIR)/$(CURRYSYSTEM)-erd2cdbi
 
 # Some modules required by the erd2curry tool:
 DEPSERD2CURRY = ERD2Curry.curry CodeGeneration.curry Transformation.curry \
@@ -23,12 +23,14 @@
 
 all: install
 
-compile: erd2curry ERD2CDBI
+compile:
+	$(MAKE) ERD2Curry
+	$(MAKE) ERD2CDBI
 
 install: compile
-	rm -f $(ERD2CURRY) $(ERD2CDBI)
-	ln -s $(CURDIR)/erd2curry $(ERD2CURRY)
-	ln -s $(CURDIR)/ERD2CDBI $(ERD2CDBI)
+	rm -f $(ERD2CURRY) $(ERD2CDBI) $(BINDIR)/erd2curry $(BINDIR)/erd2cdbi
+	cd $(BINDIR) && ln -s ../currytools/ertools/ERD2Curry $(notdir $(ERD2CURRY))
+	cd $(BINDIR) && ln -s ../currytools/ertools/ERD2CDBI $(notdir $(ERD2CDBI))
 
 clean:
 	$(CLEANCURRY)
@@ -37,9 +39,8 @@
 uninstall: clean
 	rm -f $(ERD2CURRY) $(ERD2CDBI)
 
-erd2curry: $(DEPSERD2CURRY)
-	$(REPL) $(REPL_OPTS) :load ERD2Curry :save "main \"$(CURDIR)\"" :q
-	mv ERD2Curry $@
+ERD2Curry: $(DEPSERD2CURRY)
+	$(REPL) $(REPL_OPTS) :load ERD2Curry :save :quit
 
 ERD2CDBI: $(DEPSERD2CDBI)
 	$(REPL) $(REPL_OPTS) :load ERD2CDBI :save :quit
