=== debian/changelog ===
curry-tools (1.0.3+dfsg1-2) unstable; urgency=medium

  * debian/watch:
    + Update to new tarball naming scheme in recent GitLab versions.
  * debian/control:
    + Bump Standards-Version: to 4.1.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 17 Sep 2017 19:27:49 +0200

curry-tools (1.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches recently cherry-picked from upstream. They are shipped
      in this upstream release.
    + Update/rebase 2001_drop-spicey-tool.patch.
  * debian/rules:
    + Use --clamp-mtime --mtime="$(SOURCE_DATE)" when tarring up the curry-tools
      source files. As we quilt-patch some files in the original upstream
      sources, we end up with varying mtimes in tarballs. The referenced options
      avoid those mtime variations.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Feb 2017 12:07:36 +0100

curry-tools (1.0.1+dfsg1-3) unstable; urgency=medium

  * debian/patches:
    + Add 0009-UTF-8-strings-replaced-in-examples-to-avoid-encoding.patch;
      avoid encoding issue in test.
    + Add 0010-Superfluous-output-of-which-command-suppressed.patch; suppress
      superfluous output of which command.
    + Add 0011-noreadline-and-REPL_OPTS-added-to-some-pakcs-calls.patch.
      Prevent from writing to user homes.
    + Comment out spicey related changes in
      0011-noreadline-and-REPL_OPTS-added-to-some-pakcs-calls.patch. Debian's
      curry-tools package does not ship spicey.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2017 09:23:19 +0100

curry-tools (1.0.1+dfsg1-2) unstable; urgency=medium

  * debian/rules:
    + Use tar --sort=name and --mode= option to make tarring reproducible.
  * debian/control:
    + Versioned B-D on tar (>= 1.28).
  * debian/patches: Cherry-pick recent work from upstream.
     +0001-New-analyses-for-termination-and-productivity-of-ope.patch
     +0002-Root-replacement-analysis-corrected-w.r.t.-projectio.patch
     +0003-Productivity-analysis-updated.patch
     +0004-Productivity-analysis-improved.patch
     +0005-Productivity-analysis-slightly-improved-analysis-doc.patch
     +0006-Analysis-documentation-updated.patch
     +0007-Makefiles-changed-so-that-runtest-considers-variable.patch
     +0008-Checking-for-existence-of-sqlite3-binary-added.patch

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 31 Jan 2017 10:28:53 +0100
