=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 9),
+ tar (>= 1.28),
 Maintainer: Debian Curry Maintainers <pkg-curry-maintainers@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
@@ -11,7 +12,7 @@
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
 Vcs-Browser: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-curry/curry-tools.git
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 
 Package: curry-tools-source
 Architecture: all
