=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 install/curry-tools-source::
 	mkdir -p $(CURDIR)/debian/tmp/usr/src/
-	cd $(CURDIR) && tar cv `find . -type f | grep -v ./debian/ | grep -v ./.pc/` | xz -z > $(CURDIR)/debian/tmp/usr/src/curry-tools-source.tar.xz 
+	cd $(CURDIR) && tar --clamp-mtime --mtime="$(SOURCE_DATE)" --mode=go=rX,u+rw,a-s --sort=name -cv `find . -type f | grep -v ./debian/ | grep -v ./.pc/` | xz -z > $(CURDIR)/debian/tmp/usr/src/curry-tools-source.tar.xz
 
 ## http://wiki.debian.org/onlyjob/get-orig-source
 .PHONY: get-orig-source
