=== www/Makefile ===
--- 
+++ 
@@ -22,11 +22,11 @@
 uninstall: clean
 
 
-$(SUBMITFORM): SubmitForm.curry $(LIBDIR)/HtmlCgi.curry \
+$(SUBMITFORM): SubmitForm.curry HtmlCgi.curry \
 	    $(LIBDIR)/NamedSocket.curry $(LIBDIR)/CPNS.curry
 	$(REPL) $(REPL_OPTS) :load SubmitForm :save :q
 
-$(REGISTRY): Registry.curry $(LIBDIR)/HtmlCgi.curry
+$(REGISTRY): Registry.curry HtmlCgi.curry
 	$(REPL) $(REPL_OPTS) :load Registry :save :q
