=== debian/changelog ===
curry-tools (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.3. No changes needed.
    + Add B (curry-tools-source): pakcs (<< 2.0.1~).
  * debian/{control,compat}:
    + Bump to DH version level 10 (level 11 not yet supported by CDBS).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2018 12:11:06 +0100

curry-tools (2.0.0-1) unstable; urgency=medium

  * Re-upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 12 Dec 2017 19:31:54 +0100

curry-tools (2.0.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * debian/{rules,watch}:
    + Drop orig tarball repacking logic. The recent version of curry-tools does
      not need repacking anymore.
  * debian/patches:
    + Drop 2001_drop-spicey-tool.patch. Spicey tool is not shipped with this
      upstream version anymore.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 08 Dec 2017 12:33:47 +0100
