=== debian/changelog ===
curry-tools (2.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:08:25 +0800

curry-tools (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.3.0. No changes needed.
    + Update versioned B for pakcs (to << 2.1.0~).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Jan 2019 13:19:23 +0100
