=== debian/control ===
--- 
+++ 
@@ -12,13 +12,13 @@
 Homepage: https://git.ps.informatik.uni-kiel.de/curry/curry-tools
 Vcs-Browser: https://salsa.debian.org/pkg-curry-team/curry-tools
 Vcs-Git: https://salsa.debian.org/pkg-curry-team/curry-tools.git
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 
 Package: curry-tools-source
 Architecture: all
 Depends:
  ${misc:Depends},
-Breaks: pakcs (<< 2.0.2~),
+Breaks: pakcs (<< 2.1.0~),
 Description: Tools that are used by different Curry systems, like PAKCS or KiCS2
  PAKCS and KICS2 are two different implementations of the programming
  language Curry. Curry is a functional programming language being developed
