## curry-tools 2.2.0

=== debian/changelog ===
curry-tools (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.1.1. No changes needed.
    + Add Rules-Requires-Root: field and set it to "no".
    + Update versioned B for pakcs (to << 2.2.0~).
  * debian/upstream/metadata:
    + Fix flawed Repository-Browse: field.
    + Fix typo in Security-Contact: field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 18 Nov 2019 10:24:21 +0100
